## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLValueFunctionValidateAccordingTo

All Superinterfaces:
  SQLObject, SQLQueryObject

All Known Subinterfaces:
  XMLValueFunctionValidateAccordingToIdentifier, XMLValueFunctionValidateAccordingToURI

All Known Implementing Classes:
  XMLValueFunctionValidateAccordingToIdentifierImpl, XMLValueFunctionValidateAccordingToImpl, XMLValueFunctionValidateAccordingToURIImpl

    public interface XMLValueFunctionValidateAccordingTo

extends SQLQueryObject

A representation of the model object 'XML Value Function Validate According To'.

The following features are supported:

- `Value Function Validate`
- `Validate Element`

See Also:
  `SQLXMLQueryModelPackage.getXMLValueFunctionValidateAccordingTo()`

Method Summary
`XMLValueFunctionValidateElement` `getValidateElement()` Returns the value of the 'Validate Element' containment reference.
`XMLValueFunctionValidate` `getValueFunctionValidate()` Returns the value of the 'Value Function Validate' container reference.
`void` `setValidateElement(XMLValueFunctionValidateElement value)` Sets the value of the '`Validate Element`' containment reference.
`void` `setValueFunctionValidate(XMLValueFunctionValidate value)` Sets the value of the '`Value Function Validate`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getValueFunctionValidate

    XMLValueFunctionValidate getValueFunctionValidate()

  Returns the value of the 'Value Function Validate' container reference. It is bidirectional and its opposite is '`Validate According To`'.

  If the meaning of the 'Value Function Validate' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Function Validate' container reference.
  See Also:
    `setValueFunctionValidate(XMLValueFunctionValidate)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateAccordingTo_ValueFunctionValidate()`, `XMLValueFunctionValidate.getValidateAccordingTo()`

### setValueFunctionValidate

    void setValueFunctionValidate(XMLValueFunctionValidate value)

  Sets the value of the '`Value Function Validate`' container reference.

  Parameters:
    `value` - the new value of the 'Value Function Validate' container reference.
  See Also:
    `getValueFunctionValidate()`

### getValidateElement

    XMLValueFunctionValidateElement getValidateElement()

  Returns the value of the 'Validate Element' containment reference. It is bidirectional and its opposite is '`Validate According To`'.

  If the meaning of the 'Validate Element' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validate Element' containment reference.
  See Also:
    `setValidateElement(XMLValueFunctionValidateElement)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateAccordingTo_ValidateElement()`, `XMLValueFunctionValidateElement.getValidateAccordingTo()`

### setValidateElement

    void setValidateElement(XMLValueFunctionValidateElement value)

  Sets the value of the '`Validate Element`' containment reference.

  Parameters:
    `value` - the new value of the 'Validate Element' containment reference.
  See Also:
    `getValidateElement()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.